# FreeDMC

![Preview 1](img/preview1.jpg)
![Preview 2](img/preview2.jpg)
![Preview 3](img/preview3.jpg)
![Preview 4](img/preview4.jpg)

## To-do list:

- Capture the Flag (Threewave) content mostly supported already, but we may
  need more replacement content for it to be turned on by default.
- Powerups need dynamic lights on players when equipped.
- HUD numbers in weapon selection is wrong.
- LG neds to fire the right muzzleflash.
- Some doors/triggers are busted in dmc_e1m2.
- dcdm5 has a busted trigger_push
- Missing some console messages (item depletion etc.)

Other than that, it should be fairly representative of DMC.

## Overview

This is a port of Deathmatch Classic to FreeHL/Nuclide.

It's basically just QuakeWorld deathmatch, but with a splash of Half-Life. This means that sprays and all that stuff work. Even crouching works in this particular version for the time being.

Since it's still a Half-Life mod technically, you need FreeHL set-up to play this addon.

If you have the unreleased Threewave content installed, it'll turn on a couple more entities and features. Do not ask about this, it's still a WiP and replacement content is being made by a a community member as of this writing.

There's a small compat layer so you can play on existing HL:DM & Quake III Arena maps without .ent file hacks or having the port levels manually.

## License
ISC License

Copyright (c) 2023-2024 Marco Hladik <marco@icculus.org>

Permission to use, copy, modify, and distribute this software for any
purpose with or without fee is hereby granted, provided that the above
copyright notice and this permission notice appear in all copies.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
WHATSOEVER RESULTING FROM LOSS OF MIND, USE, DATA OR PROFITS, WHETHER
IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING
OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
